<?php
namespace Bushelpowered\Api\Aggregator\Crm\V1\Response;
        
class DemographicResponse 
{
    public string $id;
    public ?float $area = null;
    public ?string $areaUoM = null;
    public ?float $onFarmStorageCapacity = null;
    public ?string $onFarmStorageCapacityUoM = null;
    public ?string $additionalDestinationLocations = null;
    public ?string $comments = null;
    /** @var \Bushelpowered\Api\Aggregator\Crm\V1\Response\CommodityResponse[] $commodities */
    public array $commodities;

    /**
     * @param  \Bushelpowered\Api\Aggregator\Crm\V1\Response\CommodityResponse[]  $commodities 
     */
    public function __construct(string $id, ?float $area, ?string $areaUoM, ?float $onFarmStorageCapacity, ?string $onFarmStorageCapacityUoM, ?string $additionalDestinationLocations, ?string $comments, array $commodities)
    {
        $this->id = $id;
        $this->area = $area;
        $this->areaUoM = $areaUoM;
        $this->onFarmStorageCapacity = $onFarmStorageCapacity;
        $this->onFarmStorageCapacityUoM = $onFarmStorageCapacityUoM;
        $this->additionalDestinationLocations = $additionalDestinationLocations;
        $this->comments = $comments;
        $this->commodities = $commodities;
    }
    

}