<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class BusinessLocationDetailItem 
{
    public string $id;
    public string $tenantId;
    public \Bushelpowered\Api\Businesspages\V1\Model\Location $location;
    public ?string $announcements = null;
    public int $weeksToDisplay;
    public ?\Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours = null;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[]|null $specialHours */
    public ?array $specialHours = null;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[]|null $weekNotes */
    public ?array $weekNotes = null;

    /**
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[]|null  $specialHours 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[]|null  $weekNotes 
     */
    public function __construct(string $id, string $tenantId, \Bushelpowered\Api\Businesspages\V1\Model\Location $location, ?string $announcements, int $weeksToDisplay, ?\Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours, ?array $specialHours, ?array $weekNotes)
    {
        $this->id = $id;
        $this->tenantId = $tenantId;
        $this->location = $location;
        $this->announcements = $announcements;
        $this->weeksToDisplay = $weeksToDisplay;
        $this->standardHours = $standardHours;
        $this->specialHours = $specialHours;
        $this->weekNotes = $weekNotes;
    }
    

}