<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class BusinessLocationListItem 
{
    public string $id;
    public string $tenantId;
    public \Bushelpowered\Api\Businesspages\V1\Model\Location $location;
    public ?string $todaysStandardHours = null;
    public ?string $todaysSpecialHours = null;

    /**
     */
    public function __construct(string $id, string $tenantId, \Bushelpowered\Api\Businesspages\V1\Model\Location $location, ?string $todaysStandardHours, ?string $todaysSpecialHours)
    {
        $this->id = $id;
        $this->tenantId = $tenantId;
        $this->location = $location;
        $this->todaysStandardHours = $todaysStandardHours;
        $this->todaysSpecialHours = $todaysSpecialHours;
    }
    

}