<?php
namespace Bushelpowered\Api\Crm\V1\Response;
        
class CustomerIdentifierResponse 
{
    public ?string $id = null;
    public string $customerId;
    public string $tenantId;
    public string $idpId;
    public string $idpSlug;
    public string $identifierIntegrationId;
    public ?string $contactType = null;
    public ?string $createdBy = null;
    public ?string $updatedBy = null;
    /** @var string[] $accountIds */
    public array $accountIds;
    /** @var string[] $sourceAccountIds */
    public array $sourceAccountIds;

    /**
     * @param  string[]  $accountIds 
     * @param  string[]  $sourceAccountIds 
     */
    public function __construct(?string $id, string $customerId, string $tenantId, string $idpId, string $idpSlug, string $identifierIntegrationId, ?string $contactType, ?string $createdBy, ?string $updatedBy, array $accountIds, array $sourceAccountIds)
    {
        $this->id = $id;
        $this->customerId = $customerId;
        $this->tenantId = $tenantId;
        $this->idpId = $idpId;
        $this->idpSlug = $idpSlug;
        $this->identifierIntegrationId = $identifierIntegrationId;
        $this->contactType = $contactType;
        $this->createdBy = $createdBy;
        $this->updatedBy = $updatedBy;
        $this->accountIds = $accountIds;
        $this->sourceAccountIds = $sourceAccountIds;
    }
    

}