<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class CreateLocationRequest 
{
    public string $companyId;
    public int $centreId;
    public int $cqgCategoryId;
    public string $displayName;
    public int $sortOrder;
    public ?string $salesSeriesId = null;
    public ?string $remoteId = null;

    /**
     */
    public function __construct(string $companyId, int $centreId, int $cqgCategoryId, string $displayName, int $sortOrder, ?string $salesSeriesId, ?string $remoteId)
    {
        $this->companyId = $companyId;
        $this->centreId = $centreId;
        $this->cqgCategoryId = $cqgCategoryId;
        $this->displayName = $displayName;
        $this->sortOrder = $sortOrder;
        $this->salesSeriesId = $salesSeriesId;
        $this->remoteId = $remoteId;
    }
    

}