<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Model;
        
class BusinessLocationDetailItem 
{
    public string $id;
    public ?string $announcements = null;
    public \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails $locationDetails;
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\WeekDetails[] $hoursOfOperation */
    public array $hoursOfOperation;

    /**
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\WeekDetails[]  $hoursOfOperation 
     */
    public function __construct(string $id, ?string $announcements, \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails $locationDetails, array $hoursOfOperation)
    {
        $this->id = $id;
        $this->announcements = $announcements;
        $this->locationDetails = $locationDetails;
        $this->hoursOfOperation = $hoursOfOperation;
    }
    

}