<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class Location 
{
    public string $id;
    public string $tenantId;
    public string $datasourceId;
    public string $integrationId;
    public string $sourceId;
    public ?string $sourceName = null;
    public ?string $internalName = null;
    public ?string $publicName = null;
    public ?string $physicalAddressLine1 = null;
    public ?string $physicalAddressLine2 = null;
    public ?string $physicalLocality = null;
    public ?string $physicalAdministrativeArea = null;
    public ?string $physicalPostalCode = null;
    public ?string $physicalCountryCode = null;
    public ?string $businessPhone = null;
    public ?string $businessFax = null;
    public ?string $businessEmail = null;
    public ?string $businessWebsite = null;
    /** @var string[]|null $businessType */
    public ?array $businessType = null;

    /**
     * @param  string[]|null  $businessType 
     */
    public function __construct(string $id, string $tenantId, string $datasourceId, string $integrationId, string $sourceId, ?string $sourceName, ?string $internalName, ?string $publicName, ?string $physicalAddressLine1, ?string $physicalAddressLine2, ?string $physicalLocality, ?string $physicalAdministrativeArea, ?string $physicalPostalCode, ?string $physicalCountryCode, ?string $businessPhone, ?string $businessFax, ?string $businessEmail, ?string $businessWebsite, ?array $businessType)
    {
        $this->id = $id;
        $this->tenantId = $tenantId;
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceName = $sourceName;
        $this->internalName = $internalName;
        $this->publicName = $publicName;
        $this->physicalAddressLine1 = $physicalAddressLine1;
        $this->physicalAddressLine2 = $physicalAddressLine2;
        $this->physicalLocality = $physicalLocality;
        $this->physicalAdministrativeArea = $physicalAdministrativeArea;
        $this->physicalPostalCode = $physicalPostalCode;
        $this->physicalCountryCode = $physicalCountryCode;
        $this->businessPhone = $businessPhone;
        $this->businessFax = $businessFax;
        $this->businessEmail = $businessEmail;
        $this->businessWebsite = $businessWebsite;
        $this->businessType = $businessType;
    }
    

}