<?php
namespace Bushelpowered\Api\Businesspages\V1\Request;
        
class GetBusinessLocationsRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    public ?string $timezone = null;
    public ?\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination $pagination = null;

    /**
     */
    public function __construct(?string $timezone, ?\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination $pagination)
    {
        $this->timezone = $timezone;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): ?\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination
    {
        return $this->pagination;
    }
}